section.blog-hero-section {
    background: radial-gradient(circle at 20% 40%, #e5f1fa 0%, #e5f1fa 40%, transparent 60%), #ffe5e5;
    background-size: 200% 200%;
    animation: moveBg 8s ease-in-out infinite alternate;
    padding-block: 50px;
    position: relative;
}

section.blog-hero-section:after {
    content: "";
    background: url(/wp-content/uploads/2026/03/BS.webp) no-repeat;
    width: 60px;
    background-size: contain;
    height: 80px;
    position: absolute;
    right: 15px;
    bottom: 0;
    opacity: 0.5;
}

.ajax-pagination a.page-link.active {
    background: #037cce;
    color: #fff;
    border-color: #037cce;
}






#blog-loader {
    text-align: center;
    padding: 30px 0;
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px solid rgba(0, 0, 0, .15);
    border-top-color: #0b5cff;
    border-radius: 50%;
    animation: spin .8s linear infinite;
    margin: auto;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.blog-search {
    max-width: 350px;
    margin-left: auto;
    width: 100%;
}

.search-input-wrap {
    position: relative;
}

.search-input-wrap input {
    background: #fff;
    width: 100%;
    padding: 10px 36px 10px 42px;
    border-radius: 6px;
    border: 1px solid #ddd;
    font-family: 'Host Grotesk';
    font-size: 16px;
}

.search-icon {
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    opacity: 0.6;
}

.clear-search {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 14px;
    opacity: 0.6;
}

/*latest post*/
.latest-post-card {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    border-radius: 16px;
    border: 1px solid #d2d9f4;
    overflow: hidden;
}

.latest-post-content {
    height: 100%;
    padding: 25px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #fff;
}

.latest-post-content .sub-title {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}

.blog-cate-post-date {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.latest-post-title-content p.latest-excerpt {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.latest-post-image img.blog-card-img {
    height: 300px;
    object-fit: cover;
    display: block;
}

.latest-title a {
    color: #101828;
}

span.category-cate {
    margin-bottom: 10px;
}

.latest-post-card-row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

.blog-categories button {
    background: transparent;
    border: 1px solid #037cce;
    color: #037cce;
    font-weight: normal;
    line-height: 1;
    border-radius: 6px;
}

.search-icon img {
    max-width: 18px;
    display: block;
}

.blog-categories {
    display: flex;
    gap: 10px;
}

.parent-categories {
    margin-bottom: 20px;
}

.blog-cate-post-date {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-bottom: 10px;
}

.blog-cate-post-date span.category-cate {
    margin-bottom: 0;
}


/*blog cards*/
.blog-listing {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 25px;
    /*margin-bottom: 50px;*/
}

.blog-card {
    padding: 15px;
    border-radius: 12px;
    background: #fff;
    border: 1px solid #d2d9f4;
}

.blog-image img {
    width: 100%;
    object-fit: cover;
    height: 240px;
    display: block;
    border-radius: 12px;
}

.blog-image {
    margin-bottom: 10px;
}

.date {
    font-size: 16px;
}

.blog-title {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 12px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.blog-title a {
    color: #000;
    display: block;
}

.blog-content {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    margin-bottom: 12px;
}

.has-results {
    margin-bottom: 50px;
    position: relative;
    padding-top: 100px;
}

/*listing shap image*/
.top-shap-image {
    position: absolute;
    z-index: -1;
    top: 0;
    right: 40px;
}

.bottom-shap-img {
    position: absolute;
    bottom: -120px;
    top: auto;
    z-index: -1;
    left: 30px;
}

.keep-reading-meta {
    flex-wrap: wrap;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    align-items: baseline;
    line-height: 1;
    margin-bottom: 15px;
}

.category-cate a {
    font-size: 12px;
    border: 1px solid #037cce;
    padding: 5px 10px;
    line-height: 1;
    display: inline-block;
    border-radius: 20px;
    font-weight: 400;
    color: #037cce;
}

.keep-reading-meta span.post-date {
    display: block;
    font-size: 12px;
    color: #787676;
    opacity: 1;
    white-space: nowrap;
}

.category-cate {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.category-cate a:hover {
    color: #ff0000;
    border-color: #ff0000;
}

/*show more button*/
.cs-load-more-wrap {
    text-align: center;
}

.cs-load-more-wrap .cs-btn-outline {
    color: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 15px 20px;
    border: 1px solid #000000;
    box-shadow: 4px 4px 0px 0px #101828;
    transform: rotate(-3deg);
    background: #ff0000;
    transition: 0.3s;
}

.cs-load-more-wrap .cs-btn-outline:hover {
    box-shadow: none;
}

.recent-project-cont {
    margin-bottom: 20px;
    font-size: 16px;
    line-height: 1.5;
}

.recent-project-image {
    border: 1px solid #000000;
    box-shadow: 8px 8px 0px 0px #000000;
    border-radius: 16px 16px 0 0;
    overflow: hidden;
}


/*recent project css*/
.recent-projects {
    background: #ff0000;
}

.recent-project-card {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: end;
}

.recent-project-image img {
    width: 100%;
    display: block;
    height: 340px;
}

.recent-projects {
    overflow: hidden;
}

.recent-project-content {
    width: 468px;
    height: 358px;
    border-top-right-radius: 120px;
    border-bottom-left-radius: 120px;
    background: #fff;
    margin-left: auto;
    padding: 40px;
    margin-right: -35px;
    margin-bottom: 50px;
}

.recent-project-desc {
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 20px;
}

/*filter hide*/
.parent-categories button {
    position: relative;
    border: 0;
    border-bottom: 1px solid #ccc;
    border-radius: 0;
    padding: 0 35px 15px;
}

.parent-categories.blog-categories {
    gap: 0;
}

.parent-categories button.parent-cat.active:After {
    opacity: 1;
}

.parent-categories button.parent-cat:After {
    content: "";
    width: 100%;
    height: 4px;
    position: absolute;
    bottom: -2px;
    left: 0;
    opacity: 0;
    background: linear-gradient(135deg, #037cce 0%, #00a8ff 50%, #6fd3ff 100%);
}

.blog-categories button.child-cat.active {
    background: #037cce;
    color: #fff;
}

.blog-listing-posts-section .blog-filter {
    display: flex;
    gap: 20px;
    margin-bottom: 30px;
}

.post-search-input {
    width: 100%;
}



.ajax-pagination:last-child {
    grid-column: 1 / span 3;
    text-align: center;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.ajax-pagination a.page-link {
    width: 30px;
    border: 1px solid #ccc;
    border-radius: 3px;
    color: #333;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}




@media (max-width: 1200px) {
    .blog-listing {
        gap: 20px;
    }

    .parent-categories button {
        padding: 0 20px 15px;
    }

    .latest-post-content {
        padding: 20px;
    }



}


@media (max-width: 960px) {
    .blog-listing {
        grid-template-columns: 1fr 1fr;
    }

    .page-template-custom-blog .container {
        padding: 0 35px;
    }

    .latest-post-card-row {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .blog-listing-posts-section .blog-filter {
        flex-direction: column;
    }

    .blog-search {
        max-width: 100%;
    }

    .blog-listing {
        grid-template-columns: 1fr 1fr;
    }

    .ajax-pagination:last-child {
        grid-column: 1 / span 2;
    }

    .blog-categories button {
        padding: 10px;
    }

    .blog-title {
        margin-bottom: 8px;
    }

    section.blog-hero-section {
        padding-block: 40px;
    }

    .main-head {
        margin-bottom: 10px;
    }

}

@media (max-width: 767px) {
    .blog-listing {
        gap: 20px;
    }

    .blog-image img {
        height: 150px;
    }

    .latest-post-card {
        grid-template-columns: 1fr;
    }

    .parent-categories.blog-categories {
        overflow-x: scroll;
        overflow-y: hidden;
    }

    .blog-categories button {
        white-space: nowrap;
    }

    .blog-categories {
        overflow-x: scroll;
    }


}


@media (max-width: 480px) {
    .blog-listing {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .latest-post-image img.blog-card-img {
        height: 225px;
    }

    .page-template-custom-blog .container {
        padding: 0 25px;
    }

    .ajax-pagination:last-child {
        grid-column: unset !important;
    }

}